com.fasterxml.jackson.dataformat.avro.deser

## Class ScalarDecoder

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.ScalarDecoder

- Direct Known Subclasses:
    ScalarDecoder.BooleanDecoder, ScalarDecoder.BytesDecoder, ScalarDecoder.DoubleReader, ScalarDecoder.EnumDecoder, ScalarDecoder.FixedDecoder, ScalarDecoder.FloatReader, ScalarDecoder.IntReader, ScalarDecoder.LongReader, ScalarDecoder.NullReader, ScalarDecoder.ScalarUnionDecoder, ScalarDecoder.StringReader

      public abstract class ScalarDecoder
      extends Object

  Helper classes for reading non-structured values, and can thereby usually be accessed using simpler interface (although sometimes not: if so, instances are wrapped in `ScalarDecoderWrapper`s).

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `ScalarDecoder.BooleanDecoder`
    `protected static class` | `ScalarDecoder.BytesDecoder`
    `protected static class` | `ScalarDecoder.DoubleReader`
    `protected static class` | `ScalarDecoder.EnumDecoder`
    `protected static class` | `ScalarDecoder.FixedDecoder`
    `protected static class` | `ScalarDecoder.FloatReader`
    `protected static class` | `ScalarDecoder.IntReader`
    `protected static class` | `ScalarDecoder.LongReader`
    `protected static class` | `ScalarDecoder.NullReader`
    `protected static class` | `ScalarDecoder.ScalarUnionDecoder`
    `protected static class` | `ScalarDecoder.StringReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScalarDecoder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract AvroFieldReader` | `asFieldReader(String name, boolean skipper)`
    `protected abstract com.fasterxml.jackson.core.JsonToken` | `decodeValue(AvroParserImpl parser)`
    `abstract String` | `getTypeId()`
    `protected abstract void` | `skipValue(AvroParserImpl parser)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScalarDecoder

          public ScalarDecoder()

  - ### Method Detail

    - #### decodeValue

          protected abstract com.fasterxml.jackson.core.JsonToken decodeValue(AvroParserImpl parser)
                                                                       throws IOException

      Throws:
        `IOException`

    - #### skipValue

          protected abstract void skipValue(AvroParserImpl parser)
                                     throws IOException

      Throws:
        `IOException`

    - #### asFieldReader

          public abstract AvroFieldReader asFieldReader(String name,
                                      boolean skipper)

    - #### getTypeId

          public abstract String getTypeId()

Copyright © 2017 FasterXML. All rights reserved.